Query Information of Multiple Blocked Numbers Rules
Query the detailed information of multiple call blocklist rules.
Request URL
GET {base_url}/{api_path}/block_numbers/query?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ids | Yes | String | The unique ID(s) of call blocklist rule(s). Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Array <BlockedNumbers_Info> | The information of each blocked number rule. |
BlockedNumbers_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the blocklist rule. |
| name | String | The name of the blocklist rule. |
| limit_type | String | The communication type that applies to the blocklist rule. |
| number_list | String | The numbers that will be blocked by the system. |
Examples
Request example
GET /openapi/v1.0/block_numbers/query?access_token=OPmgiTyngN4XJrvYAYepnmVJdggXbOjF&ids=2,3 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": [
{
"id": 2,
"name": "Service Promotion",
"limit_type": "inbound",
"number_list": "010059292"
},
{
"id": 3,
"name": "Fraud Calls",
"limit_type": "inbound",
"number_list": "82469079"
}
]
}